devguard
VendorsId

Delete a vendor by id.

DELETE
/vendors/{id}/

Authorization

Authorization
AuthorizationBearer <token>

In: header

Path Parameters

id*string

Response Body

application/json

application/json

application/json

application/json

application/json

application/json

curl -X DELETE "https://example.com/vendors/string/"
{  "id": "string",  "shortId": -9007199254740991,  "slug": "string",  "name": "string",  "description": "string",  "createdAt": "string",  "updatedAt": "string",  "organizationId": "string",  "archivedAt": "string",  "category": "CLOUD",  "relationship": "PROCESSOR",  "status": "ACTIVE",  "inherentProbability": 1,  "inherentImpact": 1,  "residualProbability": 1,  "residualImpact": 1,  "treatmentStrategy": "UNKNOWN",  "website": "string",  "contactName": "string",  "contactEmail": "string",  "contractExpiry": "string",  "subserviceMethod": "CARVE_OUT",  "processingCountries": [    "string"  ],  "transferMechanism": "ADEQUACY",  "approvalStatus": "APPROVED",  "approvalNote": "string",  "approvalDecidedAt": "string",  "approvalDecidedByMemberId": "string",  "ownerId": "string",  "locationId": "string",  "assessmentPeriodId": "string",  "lastAssessmentId": "string"}

How is this guide?